Subscription endpoints allow you to review and manage subscriptions in a specified environment.
You must be a member of the environment and be assigned to an engineer role to manage subscriptions. Learn about roles.
Get subscriptions
Retrieve a list of existing subscriptions in the specified environment.
cURL request example
Path Parameters
- environmentIdrequired, string
Identifies the specific environment that you're operating in or on behalf of.
Query Parameters
- _pagenumber
Indicates a specific page of results to return. This value typically comes from a previous response's
pageobject. - _countnumber
Defines the number of results to return per page. The maximum value per page is 50.
- sourceIdstring
Filters results to only include subscriptions with the specified source.
- destinationIdstring
Filters results to only include subscriptions with the specified destination.
- sourceOrganizationIdnumber
Filters results to only include subscriptions where the source belongs to the specified organization.
- destinationOrganizationIdnumber
Filters results to only include subscriptions where the destination belongs to the specified organization.
- connectingOrganizationIdnumber
Filters results to only include subscriptions where either the source or destination belongs to the specified organization.
- dataModelstring
Filters results to only include subscriptions using the specified data model.
- searchTermstring
Uses the specified term to find a match within a source or destination ID or name.
- orderBystring
Lists the results according to the specified field.
- isAscendingboolean
When true, sorts results in ascending order. When false, sorts in descending order.
- metaobject
- versionstring
Lists the major and minor version number for the format of the returned payload. The payload format or shape may change between minor versions, like including additional or extended fields in later versions. We include the version data in each response so that you have the option to handle the signaled differences.
- payloadobject
Contains the payload with a list of subscriptions.
- subscriptionsArray of object
Contains an array of subscriptions.
- idnumber
Displays the unique identifier of the subscription.
- namenullable, string
Displays the human-readable name of the subscription.
- dataModelstring
Specifies the Redox data model that the link applies to or should apply to.
- isLivenullable, boolean
Indicates whether this subscription has been activated and is currently in production.
- goLiveDatenullable, string
If live, specifies when the subscription was activated.
Format: date-time - deletedAtnullable, string
If applicable, specifies when the subscription was deleted.
Format: date-time - createdAtstring
Indicates when the subscription was created.
Format: date-time - sourceobject
Shared schema representing either the source or destination side of a subscription. Both source and destination are always present on a subscription response.
- idstring
Contains the unique identifier of the source or destination.
Format: uuid - namestring
Displays the human-readable name of the source or destination.
- environmentFlagstring
Indicates the environment type of the source or destination.
- environmentstring
Contains the unique identifier of the Redox environment.
Format: uuid - organizationobject
Contains metadata about the Redox organization.
- idnumber
Contains the unique identifier of the Redox organization.
- namenullable, string
Contains the human-readable name of the Redox organization.
- destinationobject
Shared schema representing either the source or destination side of a subscription. Both source and destination are always present on a subscription response.
- idstring
Contains the unique identifier of the source or destination.
Format: uuid - namestring
Displays the human-readable name of the source or destination.
- environmentFlagstring
Indicates the environment type of the source or destination.
- environmentstring
Contains the unique identifier of the Redox environment.
Format: uuid - organizationobject
Contains metadata about the Redox organization.
- idnumber
Contains the unique identifier of the Redox organization.
- namenullable, string
Contains the human-readable name of the Redox organization.